If you are using colorbox module then you have to stay with the 7.14 or older versions because as its clarified in colorbox page Form support is removed:

If you absolutely want to continue using the form support you need to stay with 7.x-1.x.

More specific the 7.14 and older versions because the 7.15 nor supports it (documentation misunderstanding).
In the meanwhile i can think of two work arounds:

  1. Check the current colorbox version in line 1409 (newsletter.module)
  2. Make use of the colorbox module in another way, if exists